This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 430014 - ipa-install-server error with FQDN does not throw a non-zero result
ipa-install-server error with FQDN does not throw a non-zero result
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-01-24 01:50 EST by Chandrasekar Kannan
Modified: 2012-03-27 03:17 EDT (History)
5 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:16:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ipa-server-install result file containing error (66.84 KB, text/plain)
2008-01-24 14:54 EST, Rob Crittenden
no flags Details
return 1 on error, 0 on success (836 bytes, patch)
2008-02-05 13:56 EST, Rob Crittenden
no flags Details | Diff
install log from successful verify (68.61 KB, text/plain)
2008-04-02 14:31 EDT, Michael Gregg
no flags Details

  None (edit)
Description Chandrasekar Kannan 2008-01-24 01:50:51 EST
Ticket #100 (new defect)

Opened 2 months ago

Last modified 2 days ago
ipa-install-server error with FQDN does not throw a non-zero result
Reported by: 	mgregg 	Assigned to: 	rcritten
Priority: 	major 	Milestone: 	
Component: 	ipa-server 	Version: 	
Keywords: 		Cc: 	
Description ¶

ipa-server-install run with: /usr/sbin/ipa-server-install -U --hostname=ipaqavm.dsqa.sjc2.redhat.com -r DSQA.SJC2.REDHAT.COM -p Secret123 -P Secret123 -a Secret123 --setup-bind -u admin -d

Unexpected error - see ipaserver-install.log for details:

    'FQDN'

The reutrn code from ipa-server-install was 0. It should be something other than 0 if something wasn't right. + ret=0 + '[' 0 '!=' 0 ']'

I'm attaching my install log.
Attachments

ipaserver-install.log (17.8 kB) - added by mgregg on 2007-11-14 17:52:11.
    ipa-server-install result file containing error

Change History
2007-11-14 17:52:11 changed by mgregg

    * attachment ipaserver-install.log added.

ipa-server-install result file containing error
2008-01-21 16:48:16 changed by mgregg ¶

    * owner changed from kmacmill to rcritten.
Comment 1 Rob Crittenden 2008-01-24 14:54:50 EST
Created attachment 292849 [details]
ipa-server-install result file containing error
Comment 4 Rob Crittenden 2008-02-05 13:56:26 EST
Created attachment 294032 [details]
return 1 on error, 0 on success
Comment 5 Rob Crittenden 2008-02-05 13:56:44 EST
Committed in changeset 622
Comment 6 Michael Gregg 2008-04-02 14:28:04 EDT
Verified good aginst build from 3-30-08

verfied with the install command of:
/usr/sbin/ipa-server-install -U --hostname=ipaqavm.dsqa.sjc2.redhat.com -r
DSQA.SJC2.REDHAT.COM -p Secret123 -P Secret123 -a Secret123 --setup-bind -u admin -d

Install log:
http://apoc.dsdev.sjc.redhat.com/tet/results/2008-03-30_06_43/IPA-server-log.txt
Comment 7 Michael Gregg 2008-04-02 14:31:36 EDT
Created attachment 300110 [details]
install log from successful verify

Note You need to log in before you can comment on or make changes to this bug.